/* *************************************************************
   RWhois Software

   Copyright (c) 1994 Scott Williamson and Mark Kosters
   Copyright (c) 1996-2000 Network Solutions, Inc.

   See the file LICENSE for conditions of use and distribution.
**************************************************************** */

#ifndef _IP_NETWORK_H_
#define _IP_NETWORK_H_

/* includes */
#include "common.h"

/* prototypes */
unsigned long addrstring_to_long PROTO((char *addstr, int *status));

char *long_to_addrstring PROTO((unsigned long t, char *buf));

int *get_octets_from_long PROTO((unsigned long prefix));

unsigned long get_mask_from_len PROTO((int len));

unsigned long mask_addr_to_len PROTO((unsigned long addr, int len));

int compare_addr PROTO((unsigned long a, unsigned long b));

int is_network_valid_for_searching PROTO((char *value));

int is_network_valid_for_index PROTO((char *line));

int is_cidr_network PROTO((char *value));

int determine_network_len_from_policy PROTO((unsigned long addr));

int determine_network_len_from_octets PROTO((unsigned long addr));

int get_network_prefix_and_len PROTO((char *str, unsigned long *prefix,
                                      int *prefix_len));

int write_network PROTO((char *str, unsigned long prefix, int prefix_len));

#endif /* _IP_NETWORK_H_ */

